> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Wallet Transfer

> Transfer from Kraken spot wallet to Kraken Futures holding wallet. Note that a transfer in the other direction must be requested via the Kraken Futures [API endpoint](https://support.kraken.com/hc/en-us/articles/360028105972-Withdrawal-to-Spot-Wallet).



## OpenAPI

````yaml Crypto post /requestWalletTransfer
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /requestWalletTransfer:
    post:
      tags:
        - private
      summary: Request Wallet Transfer
      description: >-
        Transfer from Kraken spot wallet to Kraken Futures holding wallet. Note
        that a transfer in the other direction must be requested via the Kraken
        Futures [API
        endpoint](https://support.kraken.com/hc/en-us/articles/360028105972-Withdrawal-to-Spot-Wallet).
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-63952952'
                asset:
                  type: string
                  description: (Required) Asset to transfer (asset ID or `altname`)
                  example: XBT
                from:
                  type: string
                  description: (Required) Source wallet
                  example: Spot Wallet
                to:
                  type: string
                  description: (Required) Destination wallet
                  example: Futures Wallet
                amount:
                  type: string
                  description: (Required) Amount to transfer
                  example: non Excepteur sit
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  refid: BOG5AE5-KSCNR4-VPNPEV
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````